<div class="card mb-3" id="eventgroupCard">
  <div class="card-heading pb-1 d-flex justify-content-between align-items-baseline">
    <h5>Probenphasen</h5>
    <div class="card-controls" *ngIf="isProjectEditor && project.status != 'past'">
      <div class="btn-round btn-round-sm d-flex justify-content-center align-items-center" (click)="addEventgroupModal()"><i class="fas fa-plus"></i></div>
      <!--<button class="btn btn-sm btn-primary" (click)="addEventgroupModal()"><i class="fas fa-plus"></i> hinzufügen</button>-->
    </div>
  </div>
  <div class="event-container">
    <div class="card-event" *ngIf="eventgroups && eventgroups.length <= 0">
      Keine Probenphasen geplant.
    </div>
    <div class="card-event" *ngFor="let eventgroup of eventgroups">
      <div class="row">
        <div class="col-8 event-details">
          <div class="event-name"><a routerLink="eventgroups/{{eventgroup.id}}">{{ eventgroup.title }}</a></div>
        </div>
        <div class="col-4">
          <div class="btn-group btn-group-sm float-right" role="group" *ngIf="isProjectEditor">
            <ng-container *ngIf="project.status != 'past'">
              <button class="btn btn-outline-primary" routerLink="eventgroups/{{eventgroup.id}}/settings"> <i class="fas fa-cog"></i></button>
            </ng-container>
            <button type="button" class="btn btn-outline-primary" routerLink="eventgroups/{{eventgroup.id}}/stats"
                    *ngIf="isProjectManager"><i class="fas fa-chart-line"></i></button>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <div class="event-time">
            <span class="begin">{{ eventgroup.start | date }}</span> -
            <span class="end">{{ eventgroup.end | date }}</span>
          </div>
        </div>
      </div>
      <div class="row" *ngIf="eventgroup.deadline">
        <div class="col-12">
          <div class="event-time">
            <span>Anmeldedeadline: {{eventgroup.deadline | date: 'short' }}</span>
          </div>
        </div>
      </div>
      <eos-announcement-button [ensembleId]="ensembleId" [mode]="'eventgroup'" [project]="project" [eventgroup]="eventgroup"></eos-announcement-button>
    </div>
  </div>
</div>